declare global {
  interface IActivity {
    id: string
    content: null | string | IContent
    op_type: 'commit_repo' | 'create_repo' | 'delete_branch' | 'delete_tag' | 'merge_pull_request'
    repo: {
      name: string
      html_url: string
      owner: {
        login: string
      }
    }
    created: string
    ref_name: string
  }

  interface IStrictActivity extends IActivity {
    content: IContent | null
  }

  interface IContent {
    Commits: ICommit[]
    HeadCommit: ICommit
    CompareURL: string
    Len: number
  }

  interface ICommit {
    Sha1: string
    Message: string
    AuthorEmail: string
    AuthorName: string
    CommitterEmail: string
    CommitterName: string
    Timestamp: string
  }
}
