declare global {
  interface IMCServerStatus {
    online: boolean
    ip: string
    port: number
    hostname?: string // Only included when a hostname is detected
    debug: { // See section below for information about the values
      ping: boolean
      query: boolean
      srv: boolean
      querymismatch: boolean
      ipinsrv: boolean
      cnameinsrv: boolean
      animatedmotd: boolean
      cachehit: boolean
      cachetime: number
      cacheexpire: number
      apiversion: number
    }
    version?: string // Could include multiple versions or additional text
    protocol?: { // Only included when ping is used
      version: number
      name?: string // Only included if a version name is found
    }
    icon?: string // Only included when an icon is detected
    software?: string // Only included when software is detected
    map: {
      raw: string
      clean: string
      html: string
    }
    gamemode?: string // Only included for Bedrock servers
    serverid?: string // Only included for Bedrock servers
    eula_blocked?: boolean // Only included for Java servers
    motd: {
      raw: string[]
      clean: string[]
      html: string[]
    }
    players: {
      online: number
      max: number
      list?: // Only included when there are players
      {
        name: string
        uuid: string
      }[]

    }
    plugins?: // Only included when plugins are detected
    {
      name: string
      version: string
    }[]
    mods?: // Only included when mods are detected
    {
      name: string
      version: string
    }[]
    info?: { // Only included when detecting that the player samples are used for information
      raw: string[]
      clean: string[]
      html: string[]
    }
  }
}
